POSTgetInflationReward

Returns the specific inflation values for the current epoch

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsoneOf[]required

It contains following items:

  1. Addresses (optional)
  2. ConfigurationObject (optional)
params[0]string[]

An array of addresses to query, as base-58 encoded strings

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

epochinteger (uint64)

Epoch for which reward occurred

effectiveSlotinteger (uint64)

The slot in which the rewards are effective

amountinteger (uint64)

Reward amount in lamports

postBalanceinteger (uint64)

Post balance of the account in lamports

commissioninteger (uint8)

Vote account commission when the reward was credited

X-API-KEY
RequestCU30
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getInflationReward",
  "params": [
    [
      "6dmNQ5jwLeLk5REvio1JcMshcbvkYMwy26sJ8pbkvStu",
      "BGsqMegLpV6n6Ve146sSX2dTjUMj3M92HnU8BbNRMhF2"
    ],
    {
      "epoch": 800,
      "commitment": "finalized"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "epoch": 2,
      "effectiveSlot": 224,
      "amount": 2500,
      "postBalance": 499999442500
    },
    null
  ],
  "id": 1
}